/* Font klasörün örneğin /assets/fonts/ veya /public/fonts/ dizinindeyse yolları buna göre ayarla */
@font-face {
  font-family: 'DaxPro';
  src: url('/assets/fonts/dax-pro/DAXPRO-BOLD.otf') format('opentype');
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: 'DaxPro';
  src: url('/assets/fonts/dax-pro/DAXPRO-MEDIUM.otf') format('opentype');
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: 'DaxPro';
  src: url('/assets/fonts/dax-pro/DAXPRO-REGULAR.otf') format('opentype');
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: 'DaxPro';
  src: url('/assets/fonts/dax-pro/DAXPRO-LIGHT.otf') format('opentype');
  font-weight: 300;
  font-style: normal;
}

@font-face {
  font-family: 'DaxPro';
  src: url('/assets/fonts/dax-pro/dax-pro-wide-light-italic.otf') format('opentype');
  font-weight: 300; /* Light */
  font-style: italic;
}


:root {
    --bs-primary-rgb: 54, 139, 202;
}

body {
    font-family: 'DaxPro', sans-serif;
    font-size: 0.9rem;
    color: #666;
    font-weight: 300;
    position: relative;
    overflow-x: hidden;
}

fieldset {
    background-color: white;
}

.btn-sm {
    font-size: 0.9rem;
}


tbody td, thead th {
    min-width: 92px;
}

.quantity-card .card-footer table tr td,
.quantity-card .card-footer table tr th {
    padding: 0;
}

.form-control,
.btn,
.form-select {
    border-radius: 1rem;
    line-height: 2rem;
}

.form-label {
    margin-bottom: .2rem;
    font-style: italic;
    margin-left: 0.5rem;
}

.btn-primary {
    background-color: rgb(var(--bs-primary-rgb));
    border-color: rgb(var(--bs-primary-rgb));
}

.btn-light {
    background-color: #d1d2d4;
    border-color: #d1d2d4;
    color: #666;
}

table.table thead tr th {
    background-color: #d1d2d4 !important;
    font-style: italic;
}






/*** Painter Detail ***/
.painter-detail .form-label {
    margin-bottom: -0.2rem;
}

.painter-detail .number-input {
    display: inline-flex;
    align-items: center;
    overflow: hidden;
}

.painter-detail .number-input input {
    text-align: center;
    border: none;
    outline: none;
    font-size: 16px;
    background-color: transparent;
    color: white;
    border: 0;
    padding: 0;
    line-height: inherit;
    min-height: auto;
    width: 40px;
    position: relative;
    bottom: 0.1rem;
}

.painter-detail .number-input .btn {
    border: none;
    cursor: pointer;
    font-size: 18px;
    user-select: none;
    color: white;
    padding: 0;
    border: 1.4px solid #FFF;
    height: 20px;
    width: 20px;
    line-height: 0;
    padding-bottom: .3rem;
}

.painter-detail .number-input .btn:hover {
    /* hover efekti eklemek istersen burası */
}

/* Browser spinner'ları kapat */
.painter-detail input[type=number]::-webkit-inner-spin-button,
.painter-detail input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.painter-detail input[type=number] {
    -moz-appearance: textfield;
}







/* Select2 container */
.select2-container .select2-selection--single {
    height: 46px;
    border-radius: 1rem;
    padding: .375rem .75rem;
    display: flex;
    align-items: center;
    border: var(--bs-border-width) solid var(--bs-border-color)
}

/* Seçili metin */
.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: normal;
    padding-left: 0;
    padding-right: 1.5rem;
    color: #212529;
}

/* Ok (caret) */
.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 100%;
    right: .75rem;
}

/* Focus durumu (Bootstrap focus gibi) */
.select2-container--default.select2-container--focus .select2-selection--single {
    border-color: #86b7fe;
    box-shadow: 0 0 0 .25rem rgba(13,110,253,.25);
}

/* Disabled */
.select2-container--default .select2-selection--single[aria-disabled="true"] {
    background-color: #e9ecef;
}

/* Dropdown */
.select2-dropdown {
    border-radius: .375rem;
    border-color: #ced4da;
}

/* Option hover */
.select2-results__option--highlighted {
    background-color: #0d6efd;
    color: #fff;
}



.dt-layout-row,
.dt-layout-table {
    margin: 0 !important;
}
